#include<vector>
#include<iostream>
#include <math.h>
#include <boost/math/distributions/poisson.hpp>


void callpeaks();

void pileup(ofstream& peaks, const uint8_t *tags_watson, const uint8_t *tags_crick, const uint8_t *tags_watson_control, const uint8_t *tags_crick_control, int len, int start, string chr, int p);

void send_tags(const uint8_t *tags_watson, const uint8_t *tags_crick, const uint8_t *tags_watson_control, const uint8_t *tags_crick_control,vector <int>& DNAshape, vector<string>& Chr_list, float ChIPControlScale, int n);

void send_ph2_DNAshape(vector<vector <int> >& ph2_DNAshape1, vector<vector <int> >& ph2_DNAshape2);

int Number_of_tags(int q, int i, int j);

uint64_t SpeciesGenomeSize(char *genome);
