//ifndef MASKDNA_H_
//#define MASKDNA_H_

#include <iostream>
#include <vector>
//#include "reference.h"
//#include "ebwt.h"

using namespace std;

void Drop_regions(const int &_cutoff, const vector<uint16_t> &tag_count, const vector<string> &Chrlist,const vector<int> &DNAshape, const int &n, const int &m, int frag_len);

int ph2_genomic_coordinate_update(const unsigned int &offset, const int &chrid, int update[]);

void number_of_chrms_reindex(const int &tot_chr);

void Chr_shape_reindex(const int &chrid, const int &chrlen, const string &chrname);

const vector<string>& return_ph2_chrlist();

const vector<vector <int> >&  return_ph2_DNAshape1();

const vector<vector <int> >&  return_ph2_DNAshape2();

void return_phase2_DNAshape();

extern uint8_t hash_table[536870912];


//#endif
